org.apache.ignite.internal.visor.igfs

## Class VisorIgfs

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.igfs.VisorIgfs

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorIgfs
    extends VisorDataTransferObject

Data transfer object for `IgniteFileSystem`.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3`

### Constructor Summary

Constructors
Constructor and Description
`VisorIgfs()` Default constructor.
`VisorIgfs(IgniteFileSystem igfs)` Create data transfer object.
`VisorIgfs(String name, IgfsMode mode, VisorIgfsMetrics metrics, boolean secondaryFsConfigured)` Create IGFS configuration transfer object.

### Method Summary

All Methods Instance Methods Concrete Methods
`VisorIgfsMetrics` `getMetrics()`
`IgfsMode` `getMode()`
`String` `getName()`
`boolean` `isSecondaryFileSystemConfigured()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorIgfs

    public VisorIgfs()

Default constructor.

#### VisorIgfs

    public VisorIgfs(String name,
                     IgfsMode mode,
                     VisorIgfsMetrics metrics,
                     boolean secondaryFsConfigured)

Create IGFS configuration transfer object.

Parameters:
  `name` - IGFS instance name.
  `mode` - IGFS instance working mode.
  `metrics` - IGFS metrics.
  `secondaryFsConfigured` - Whether IGFS has configured secondary file system.

#### VisorIgfs

    public VisorIgfs(IgniteFileSystem igfs)

Create data transfer object.

Parameters:
  `igfs` - Source IGFS.

### Method Detail

#### getName

    public String getName()

Returns:
  IGFS instance name.

#### getMode

    public IgfsMode getMode()

Returns:
  IGFS instance working mode.

#### getMetrics

    public VisorIgfsMetrics getMetrics()

Returns:
  IGFS metrics.

#### isSecondaryFileSystemConfigured

    public boolean isSecondaryFileSystemConfigured()

Returns:
  Whether IGFS has configured secondary file system.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018